import { attachErrorHandler } from './errorhandler';
import { SDKOptions } from './types';
/**
 * Inits the Noibu Vue SDK
 * @param  {SDKOptions} sdkOptions
 * @returns void
 */
export function initNoibuSDK(sdkOptions: SDKOptions): void {
  if (!sdkOptions.Vue && !sdkOptions.apps) {
    throw new Error('Need to pass at least the Vue or app property');
  }

  if (sdkOptions.apps) {
    sdkOptions.apps.forEach((app) => attachErrorHandler(app));
  } else if (sdkOptions.Vue) {
    attachErrorHandler(sdkOptions.Vue);
  }
}
