/* eslint-disable @typescript-eslint/no-explicit-any */
/** Needed in order to override the app config errorhandler function  * */
export interface Vue {
  config: {
    errorHandler?: any;
    warnHandler?: any;
    silent?: boolean;
  };
}
/** Vue's model, used when overriding the app config * */
export type ViewModel = {
  _isVue?: boolean;
  __isVue?: boolean;
  $root: ViewModel;
  $parent?: ViewModel;
  $props: { [key: string]: any };
  $options?: {
    name?: string;
    propsData?: { [key: string]: any };
    _componentTag?: string;
    __file?: string;
  };
};

/** Option passed when initializing the vue sdk * */
export interface SDKOptions {
  /** Vue constructor to be used inside the integration
   * (as imported by `import Vue from 'vue'` in Vue2)
   */
  Vue?: Vue;
  /** Vue app instances to be used inside the integration (as generated by `createApp` in Vue3 ) */
  apps?: Vue[];
}
